Summary: e-smith server and gateway - ident daemon
%define name e-smith-oidentd
Name: %{name}
%define version 1.1.0
%define release 01
Version: %{version}
Release: %{release}
Copyright: GPL
Vendor: Mitel Networks Corporation
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.0.12-48
Requires: iptables
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
e-smith server and gateway software - ident daemon

%changelog
* Mon Jul 21 2003 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-01]
- Changing version to development stream number - 1.1.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-01]
- Rolling stable version number to 1.0.0

* Thu Aug 29 2002 Charlie Brady <charlieb@e-smith.com>
- [0.0.2-01]
- Fix template issue - need "esmith::util", otherwise expand-template succeeds
  but action script fails. [charlieb 4435]

* Wed Aug 28 2002 Charlie Brady <charlieb@e-smith.com>
- Initial [charlieb 4435]

%prep
%setup

%build
perl createlinks
mkdir -p root/etc/rc.d/rc7.d
ln -s /etc/rc.d/init.d/e-smith-service root/etc/rc.d/rc7.d/S35oidentd

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > e-smith-%{version}-filelist
echo "%doc COPYING"          >> e-smith-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f e-smith-%{version}-filelist
%defattr(-,root,root)
